import os
import dotenv
import sys
import argparse

dotenv.load_dotenv('properties.env')

sys.path.insert(0, os.getenv('SYS_PATH_LEVEL_1'))

from rootio import RootIO


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument('--file', dest = 'file', default = '')
    parser.add_argument('--regex', dest = 'regex', default = '')
    args   = parser.parse_args()
    FILE   = args.file
    regex  = args.regex

    rootio = RootIO(FILE)
    if regex:
        rootio.get_information(regex = regex)
        return
    rootio.get_information()
        

if __name__ == "__main__":
    main()